package com.xinelu.manage.mapper.paymentinfo;

import com.xinelu.manage.domain.paymentinfo.PaymentInfo;

import java.util.List;


/**
 * 支付记录信息Mapper接口
 *
 * @author xinyilu
 * @date 2022-10-18
 */
public interface PaymentInfoMapper {
    /**
     * 查询支付记录信息
     *
     * @param id 支付记录信息主键
     * @return 支付记录信息
     */
    PaymentInfo selectPaymentInfoById(Long id);

    /**
     * 查询支付记录信息列表
     *
     * @param paymentInfo 支付记录信息
     * @return 支付记录信息集合
     */
    List<PaymentInfo> selectPaymentInfoList(PaymentInfo paymentInfo);

    /**
     * 新增支付记录信息
     *
     * @param paymentInfo 支付记录信息
     * @return 结果
     */
    int insertPaymentInfo(PaymentInfo paymentInfo);

    /**
     * 修改支付记录信息
     *
     * @param paymentInfo 支付记录信息
     * @return 结果
     */
    int updatePaymentInfo(PaymentInfo paymentInfo);

    /**
     * 删除支付记录信息
     *
     * @param id 支付记录信息主键
     * @return 结果
     */
    int deletePaymentInfoById(Long id);

    /**
     * 批量删除支付记录信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePaymentInfoByIds(Long[] ids);

    /**
     * 根据订单查询支付记录表信息
     *
     * @param orderNo 订单编号
     * @return 数量
     */
    int getPaymentInfoByOrderNo(String orderNo);
}
